<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Subtemas
 *
 * @ORM\Table(name="subtemas", indexes={@ORM\Index(name="cve_tem", columns={"cve_tem"})})
 * @ORM\Entity
 */
class Subtemas
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_sub", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideSub;

    /**
     * @var integer
     *
     * @ORM\Column(name="cve_tem", type="integer", nullable=false)
     */
    private $cveTem;

    /**
     * @var string
     *
     * @ORM\Column(name="subtema", type="string", length=500, nullable=false)
     */
    private $subtema;



    /**
     * Get ideSub
     *
     * @return integer
     */
    public function getIdeSub()
    {
        return $this->ideSub;
    }

    /**
     * Set cveTem
     *
     * @param integer $cveTem
     *
     * @return Subtemas
     */
    public function setCveTem($cveTem)
    {
        $this->cveTem = $cveTem;

        return $this;
    }

    /**
     * Get cveTem
     *
     * @return integer
     */
    public function getCveTem()
    {
        return $this->cveTem;
    }

    /**
     * Set subtema
     *
     * @param string $subtema
     *
     * @return Subtemas
     */
    public function setSubtema($subtema)
    {
        $this->subtema = $subtema;

        return $this;
    }

    /**
     * Get subtema
     *
     * @return string
     */
    public function getSubtema()
    {
        return $this->subtema;
    }
}
